> For the complete documentation index, see [llms.txt](https://docs.elastiflow.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.elastiflow.com/flowcoll/installation/install_ansible.md).

# Installation using Ansible

{% hint style="info" %}
The [Ansible collection for NetObserv](https://galaxy.ansible.com/ui/repo/published/elastiflow/netobserv/docs/) is currently a *technology preview*. The design and implementation are less mature than stable features and subject to change. Please provide feedback or report issues to the [ElastiFlow Forum](https://forum.elastiflow.com/).&#x20;
{% endhint %}

An ansible role is available to install and configure NetObserv Flow. The role is available via the [Ansible Galaxy role](https://galaxy.ansible.com/ui/repo/published/elastiflow/netobserv/content/role/netobserv_flow/).

### Requirements

* Ansible 2.16 or later
* Python 3.10 or later
* A target host running a supported version of Linux. For more information on available distributions and versions, see the [NetObserv Collection Requirements](https://github.com/elastiflow/ansible-collection-netobserv?tab=readme-ov-file#requirements).

### Example Playbooks

Here are the examples of how to use the `elastiflow.netobserv.netobserv_flow` role:

* [NetObserv Flow ES simple](https://github.com/elastiflow/ansible-collection-netobserv/tree/main/examples/netobserv_flow_es_simple): Deploy NetObserv Flow with "simple" Elasticsearch
* [NetObserv Flow OS simple](https://github.com/elastiflow/ansible-collection-netobserv/tree/main/examples/netobserv_flow_os_simple): Deploy NetObserv Flow with "simple" OpenSearch

### Usage Instructions

1. **Add the Role**: Add the `elastiflow.netobserv` collection to the `requirements.txt` in your Ansible roles directory or include it in your project structure and [install the requirements](https://docs.ansible.com/ansible/latest/galaxy/user_guide.html#installing-multiple-roles-from-a-file).
2. **Include the Role in Your Playbook**: Reference the `elastiflow.netobserv.netobserv_flow` role in your playbook as shown in the examples above (full role configuration [doc](https://github.com/elastiflow/ansible-collection-netobserv/tree/main/roles/netobserv_flow)).
3. **Run the Playbook**:
   * **Check Mode (Dry Run)**:

     ```
     ansible-playbook playbook.yml --check
     ```
   * **Apply Changes**:

     ```
     ansible-playbook playbook.yml
     ```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.elastiflow.com/flowcoll/installation/install_ansible.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
